#ifndef __HW_H__
#define __HW_H__

/******************************************************************************
 * Includes
 *****************************************************************************/
#include "lpc2xxx.h"

/******************************************************************************
 * Typedefs and defines
 *****************************************************************************/
#ifndef NULL
#define NULL (0)
#endif

#define FALSE 0
#define TRUE  1

#define LED_GREEN  1
#define LED_RED    2

#ifndef HWVER
#define HWVER 0
#endif

#define KEY_NOTHING 0x00
#define KEY_UP      0x01
#define KEY_RIGHT   0x02
#define KEY_DOWN    0x04
#define KEY_LEFT    0x08
#define KEY_CENTER  0x10

/*****************************************************************************
 * Global variables
 ****************************************************************************/
void immediateIoInit(void);
void resetLCD(void);
void setBuzzer(unsigned char on);
void setLED(unsigned char ledSelect, unsigned char ledState);
void resetBT(unsigned char resetFlag);
unsigned char getKeys(void);
void selectLCD(unsigned char select);
void sendToLCD(unsigned char firstBit, unsigned char data);
void initSpiForLcd(void);
void sleep(unsigned long ticks);

#endif
